## MacPorts-2.2.0-rc1.tar.gz

=== portmgr/jobs/Makefile ===
# $Id: Makefile 65055 2010-03-20 14:28:09Z jmr@macports.org $

SCRIPTS=	PortIndex2MySQL

edit = sed \
	-e 's,@macports_tcl_dir@,$(macports_tcl_dir),g'


include ../../Mk/macports.autoconf.mk


all: ${SCRIPTS}

PortIndex2MySQL: PortIndex2MySQL.tcl
	${edit} $< > $@
	chmod 755 $@

clean:
	rm -f ${SCRIPTS}

distclean: clean

=== src/port1.0/Makefile ===
INSTALLDIR=	${DESTDIR}${datadir}/macports/Tcl/port1.0

SRCS=	port.tcl portchecksum.tcl portconfigure.tcl portextract.tcl	    \
	portfetch.tcl portmain.tcl portbuild.tcl portpatch.tcl portutil.tcl \
	portinstall.tcl portuninstall.tcl portdepends.tcl portdestroot.tcl \
	portlint.tcl portclean.tcl porttest.tcl portactivate.tcl \
	portdeactivate.tcl port_autoconf.tcl portstartupitem.tcl \
	porttrace.tcl portlivecheck.tcl portdistcheck.tcl portmirror.tcl \
	portload.tcl portunload.tcl portdistfiles.tcl fetch_common.tcl \
	portsandbox.tcl

include ../../Mk/macports.subdir.mk
include ../../Mk/macports.autoconf.mk

.PHONY: test

all:: pkgIndex.tcl

pkgIndex.tcl: $(SRCS)
	$(SILENT) ../pkg_mkindex.sh . || ( rm -rf $@ && exit 1 )

clean::
	rm -f pkgIndex.tcl

distclean:: clean
	rm -f port_autoconf.tcl

install:: all
	$(INSTALL) -d -o ${DSTUSR} -g ${DSTGRP} -m ${DSTMODE} ${INSTALLDIR}
	$(SILENT)set -x; for file in ${SRCS}; do \
		$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 $$file ${INSTALLDIR}; \
	done
	$(INSTALL) -o ${DSTUSR} -g ${DSTGRP} -m 444 pkgIndex.tcl ${INSTALLDIR}

test::
	${TCLSH} tests/portutil.tcl ${macports_tcl_dir}
	${TCLSH} tests/portdestroot.tcl ${macports_tcl_dir}
	${TCLSH} tests/portfetch.tcl ${macports_tcl_dir}

=== tests/test/statefile-version1-outdated/Makefile ===
include ../../../Mk/macports.autoconf.mk

.PHONY: test

$(bindir)/port:
	@echo "Please install MacPorts before running this test"
	@exit 1

test:
	@PORTSRC=$(PORTSRC) $(bindir)/port configure >/dev/null 2>&1
	@cp statefile work/.macports.statefile-version1-outdated.state
	@touch -t 197001010000.09 work/.macports.statefile-version1-outdated.state
	@PORTSRC=$(PORTSRC) $(bindir)/port destroot >output 2>&1 || (cat output; exit 1)
	@diff -u master output || (echo "statfile version 1 was outdated but didn't cause a fresh build"; exit 1)
	@PORTSRC=$(PORTSRC) $(bindir)/port clean >/dev/null 2>&1
	@rm output

=== tests/test/statefile-version2/Makefile ===
include ../../../Mk/macports.autoconf.mk

.PHONY: test

$(bindir)/port:
	@echo "Please install MacPorts before running this test"
	@exit 1

test:
	@PORTSRC=$(PORTSRC) $(bindir)/port configure >/dev/null 2>&1
	@cp statefile work/.macports.statefile-version2.state
	@sed -i'' -E "s/@CHECKSUM@/`openssl dgst -sha256 Portfile | awk '{print $$2}'`/" work/.macports.statefile-version2.state
	@PORTSRC=$(PORTSRC) $(bindir)/port destroot >output 2>&1 || (cat output; exit 1)
	@diff -u master output || (echo "statefile version 2 wasn't outdated, but still triggered a rebuild"; exit 1)
	@PORTSRC=$(PORTSRC) $(bindir)/port clean >/dev/null 2>&1
	@rm output

=== tests/test/dependencies-e/Portfile ===
# $Id: Portfile 79489 2011-06-15 20:31:28Z jmr@macports.org $

PortSystem 1.0
name		dependencies-e
version		1
categories	test
maintainers	pguyot@kallisys.net
description	Test port for dependencies
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

distfiles
use_configure no
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

depends_build \
    port:docbook-xml-4.1.2 \
    port:docbook-xml-4.2 \
    port:docbook-xml-4.3 \
    port:docbook-xml-4.4 \
    port:docbook-xml-4.5

test {
# testing consists in processing dependencies
}

=== tests/test/svn-and-patchsites/Portfile ===
# $Id: Portfile 84757 2011-09-30 17:24:30Z cal@macports.org $

PortSystem 1.0

name		svn-and-patchsites
version		1
categories	test
maintainers	nomaintainer
description	Test port for svn+distant patchfiles functionalities
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

fetch.type          svn
svn.url             http://svn.pythonmac.org/altgraph/altgraph/tags/altgraph-0.7.0/
worksrcdir          altgraph-0.7.0

patch_sites      http://home.uchicago.edu/~dgc/sw/mutt/
patchfiles       patch-1.5.14.dgc.xlabel_ext.9
checksums        patch-1.5.14.dgc.xlabel_ext.9 md5 c5badc733020187b6677f31b343195e8

# Set depends_fetch to be empty to remove the dependency on svn added by base,
# as it is not available in the test suite. Otherwise MacPorts will try to
# verify a subversion port exists.
depends_fetch

# disable the patch phase in case the svn code gets out of sync with the patch.
patch		{}
extract		{}
configure	{}
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

test {
	# test is actually running the fetch target
}
